<?php

// Créer l'application express
$app = require('/usr/local/lib/node_modules/express');

// Créer le serveur
$server = $app->listen(3000);

// Créer l'objet socket.io en lui passant le serveur
$io = require('/usr/local/lib/node_modules/socket.io')($server);

// Quand un utilisateur se connecte
$io->on('connection', function ($socket) {
    echo "connection de l'utilisateur à l'id " . $socket->id;
});

// Quand un utilisateur lance le jeu
$io->on('launchGame', function () {
    echo 'launch the game';
    header('Location: index.php');
});

// Exporter l'objet socket.io
putenv("io=$io");

echo 'iolisten';
?>